Page MenuHomeNicheWork Phabricator

MABS: Import Wikivoyage into testing
Closed, ResolvedPublic

Description

Use the latest articles dump to create a MediaWiki installation that can be used for the demonstration servers that Daren set up.

Event Timeline

hexmode created this task.Aug 17 2019, 3:17 PM

Currently, the buildImg target doesn't PROPERLY check to see if the image is already built.

Investigating.

hexmode added a comment.EditedAug 23 2019, 2:03 PM

wiki docker image doesn't appear to start with stack... why not?

$ make start
nothing found in stack: mabsDemo
Ignoring unsupported options: links, restart

Creating network mabsDemo_default
Creating service mabsDemo_moon-memc
Creating service mabsDemo_proxy
Creating service mabsDemo_home-mw
Creating service mabsDemo_home-db
Creating service mabsDemo_home-memc
Creating service mabsDemo_moon-mw
Creating service mabsDemo_moon-db

$ docker container ls -a
CONTAINER ID        IMAGE                        COMMAND                  CREATED              STATUS              PORTS               NAMES
dffe33e76b1c        jwilder/nginx-proxy:latest   "/app/docker-entrypo…"   52 seconds ago       Up 50 seconds       80/tcp              mabsDemo_proxy.1.3u9oal2h9abhq51jx5t8nskt6
464bc27212f7        wikidb:latest                "docker-entrypoint.s…"   58 seconds ago       Up 58 seconds       3306/tcp            mabsDemo_moon-db.1.rw7q2o9xkb6vvjvtb62trkci8
5d0a36818d55        memcached:latest             "docker-entrypoint.s…"   About a minute ago   Up About a minute   11211/tcp           mabsDemo_home-memc.1.222ajfy5iqgpccir2padtw7wp
9620832836a1        wikidb:latest                "docker-entrypoint.s…"   About a minute ago   Up About a minute   3306/tcp            mabsDemo_home-db.1.pxbkljpiczgr4e2av2fw4pz2c
e5319bd71c3d        memcached:latest             "docker-entrypoint.s…"   About a minute ago   Up About a minute   11211/tcp           mabsDemo_moon-memc.1.se03mmupypq0wyi2uuz9edx39

Missing is any reference to the mabsDemo_moon-mw or mabsDemo_home-mw seen here:

$ docker service ls 
ID                  NAME                 MODE                REPLICAS            IMAGE                        PORTS
f97tx7l4ljwd        mabsDemo_home-db     replicated          1/1                 wikidb:latest                
186kzg7ilee2        mabsDemo_home-memc   replicated          1/1                 memcached:latest             
xtmuivxf44wh        mabsDemo_home-mw     replicated          0/1                 wikibase:latest              
ksokhx3n7j4s        mabsDemo_moon-db     replicated          1/1                 wikidb:latest                
z2sgbhab2rbd        mabsDemo_moon-memc   replicated          1/1                 memcached:latest             
kd15668v1xhe        mabsDemo_moon-mw     replicated          0/1                 wikibase:latest              
8ja14151ulj4        mabsDemo_proxy       replicated          1/1                 jwilder/nginx-proxy:latest   *:80->80/tcp

It looks like they might not come online till the db is loaded?

hexmode added a comment.EditedAug 23 2019, 2:17 PM

A clue!

$ docker service ps --no-trunc mabsDemo_moon-mw
ID                          NAME                     IMAGE               NODE                DESIRED STATE       CURRENT STATE             ERROR                                                                                                                 PORTS
b1fuea7uv60k7jekkw12jyoph   mabsDemo_moon-mw.1       wikibase:latest     silk                Ready               Rejected 3 seconds ago    "invalid mount config for type "bind": bind source path does not exist: /home/mah/client/mabs/mabs-demo/moonimages"   
dc5k0uf50la6ep0anl67zxza3    \_ mabsDemo_moon-mw.1   wikibase:latest     silk                Shutdown            Rejected 8 seconds ago    "invalid mount config for type "bind": bind source path does not exist: /home/mah/client/mabs/mabs-demo/moonimages"   
p84colpiml20qeafuwhkxpnse    \_ mabsDemo_moon-mw.1   wikibase:latest     silk                Shutdown            Rejected 13 seconds ago   "invalid mount config for type "bind": bind source path does not exist: /home/mah/client/mabs/mabs-demo/moonimages"   
jnilqqhje34r6vv0wj5v1w04t    \_ mabsDemo_moon-mw.1   wikibase:latest     silk                Shutdown            Rejected 18 seconds ago   "invalid mount config for type "bind": bind source path does not exist: /home/mah/client/mabs/mabs-demo/moonimages"   
nhnizihtzrnwpq5w2t9scaihs    \_ mabsDemo_moon-mw.1   wikibase:latest     silk                Shutdown            Rejected 23 seconds ago   "invalid mount config for type "bind": bind source path does not exist: /home/mah/client/mabs/mabs-demo/moonimages"    

(Hint from SO.)

Update.php needs to be run.

Need to move constants from mabsDemo.yml to the Makefile

hexmode closed this task as Resolved.Aug 24 2019, 10:29 PM

Import is working enough to do a MABS PoC

hexmode shifted this object from the Restricted Space space to the S3 Public NicheWork space.Sep 16 2019, 9:42 AM
hexmode changed the visibility from "All Users" to "Public (No Login Required)".